Appearance
GET
/communication/template-text/template-texts/{id}Required scope:
templatetext:readReturns the full logical template including canonical body, translations, subjects, settings and the attachments of every language.
Response ​
The response contains the template.
JSON
{
"templateCode": "order-confirmation",
"canonicalBody": "<p>{t_greeting} {customerName}</p>",
"countries": [
"FI",
"NO"
],
"sourceLocale": "sv",
"locales": [
"sv",
"en"
],
"translations": {
"sv": {
"t_greeting": "Hej"
}
},
"subjects": {
"sv": "Din order"
},
"senderNames": {
"sv": "Viskan"
},
"senderEmails": {
"sv": "no-reply@viskan.se"
},
"bccs": {
"sv": "archive@viskan.se"
},
"ccs": {
"sv": "sales@viskan.se"
},
"countrySettings": {
"FI": {
"senderName": "Viskan Finland",
"senderEmail": "no-reply@viskan.fi",
"cc": "",
"subjects": {
"sv": "Din order i Finland"
}
}
},
"settings": {
"name": "Order confirmation",
"channel": "email",
"contentType": "text/html",
"editorType": "html",
"mediaEnv": "prod",
"status": "active",
"templateType": 0,
"populateSource": 500,
"updatedAt": "2024-08-14T12:34:56.412",
"showInEditors": [
1099,
1056
],
"allLanguages": true
},
"attachments": {
}
}
| Error code | Description |
|---|---|
template-not-found | No template with the given code exists for the current company. |